Excluir um lote de campanhas
curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns/batch/archive"
payload = { "inputs": [{ "id": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: '<string>'}]})
};
fetch('https://api.hubapi.com/marketing/v3/campaigns/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lote
Delete campaigns
Este ponto de extremidade exclui um lote de campanhas. O número máximo de itens em uma solicitação em lote é 50. A resposta será sempre 204 Sem conteúdo, independentemente de as campanhas existirem ou não, de terem sido excluídas com sucesso ou não, ou de apenas algumas das campanhas do lote terem sido excluídas.
POST
/
marketing
/
v3
/
campaigns
/
batch
/
archive
Excluir um lote de campanhas
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
application/json
Uma matriz de objetos PublicCampaignDeleteInput, cada um especificando uma campanha a ser excluída. Cada objeto deve incluir o identificador exclusivo da campanha.
Show child attributes
Show child attributes
Resposta
Última modificação em 10 de abril de 2026
⌘I